function testpropose(z)
%test Propose3
% 2011.05.03  Hans Torp
% 2014 Edited by Hkon Seljsen 
if nargin<1
    %observation depth
    %z=0;
    %z=1e-17;
    %z= 70e-3;%focal plane
    z=90e-3;
end

dynRange=40;
TransmitF=1.64e6;
%TransmitF=2.2e6;

Propose3('init');

%set parameters m5s-PROBE
Propose3('setparam','Rtx',[70e-3,70e-3]);% ROC transmit azimuth elevation
Propose3('setparam','Dtx',[22e-3,13e-3]);% aperture transmit azimuth elevation
Propose3('setparam','Ashapetx','rectangular');
%Propose3('setparam','Ashapetx','elliptic_4');
%Propose3('setparam','Ashapetx','elliptic_2');
%Propose3('setparam','Apodtx',[0.1,0.1]);% apodisation transmit azimuth elevation
Propose3('setparam','Apodtx',[0.0,0.0]);% apodisation transmit azimuth elevation
Propose3('setparam','f0tx',TransmitF);% transmit center frequency
Propose3('setparam','Btx',1.1e6);%Bandwidth tx pulse
%Propose3('setparam','Btx',1.1e6);%Bandwidth tx pulse
Propose3('setparam','dynRange',dynRange);
% Calculating dz:
c=1498; %sound of speed in propose.
Fs=max(30e6,10*TransmitF);
dz=c/Fs;
Propose3('setparam','resolution',[1.0000e-004 1.0000e-004 dz]);
%Propose3('setparam','resolution',[1.0000e-004 1.0000e-004 0.5000e-0004]);
Propose3('setparam','range',[0.04 0.04 0.004]); %in x, y, z direction
Propose3('setparam','sphericalCorrection',1);



%profile on
Propose3('linear',z);%linear propagation
%profile viewer

%profile on
Propose3('nonlinear',z);%nonlinear propagation
%profile viewer
% 
% figure%(1);clf;
 Propose3('plot','field');pause(0.01);
% 
 figure%(2);clf;
 Propose3('plot','phase');
% 
 figure%(3);clf;
 Propose3('plot','signal');
% 




                                                                                                                  